%define upstream_name    String-Truncate
%define upstream_version 1.100603

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A module for when strings are too long to be displayed in
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Sub::Exporter) >= 0.953.0
BuildRequires: perl(Sub::Exporter::Util)
BuildRequires: perl(Sub::Install) >= 0.30.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.100.603-2.mga10
+ Revision: 2217145
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 tv <tv> 1.100.603-1.mga9
+ Revision: 1929028
- update to 1.100603

* Sun Mar 20 2022 umeabot <umeabot> 1.100.602-8.mga9
+ Revision: 1805787
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.100.602-7.mga8
+ Revision: 1497220
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.100.602-6.mga7
+ Revision: 1271241
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.100.602-5.mga6
+ Revision: 1033449
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.100.602-4.mga6
+ Revision: 930411
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.100.602-3.mga5
+ Revision: 749109
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.602-2.mga5
+ Revision: 686258
- Mageia 5 Mass Rebuild

* Thu Mar 20 2014 jquelin <jquelin> 1.100.602-1.mga5
+ Revision: 606055
- update to 1.100602

* Fri Feb 07 2014 sander85 <sander85> 1.100.601-1.mga5
+ Revision: 585121
- update to 1.100601

* Fri Oct 18 2013 umeabot <umeabot> 1.100.600-3.mga4
+ Revision: 514732
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.600-2.mga3
+ Revision: 372870
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 28 2011 jquelin <jquelin> 1.100.600-1.mga1
+ Revision: 78367
- update to 1.100600

* Fri Jan 21 2011 jquelin <jquelin> 1.100.570-1.mga1
+ Revision: 28775
- mageia rebuild
- imported package perl-String-Truncate

